version: '3'
services:
 code2lab:
  build:
   context: .
   dockerfile: ./Dockerfile
  links:
   - redis
  volumes:
   - .:/sxrestaurant
   - "/etc/timezone:/etc/timezone:ro"
   - "/etc/localtime:/etc/localtime:ro"
  env_file:
   - .code2lab.env
  ports:
   - '62160:62158'
  environment:
   - REDIS_URL=redis://172.17.0.1:6380/0
 sidekiq:
  build: .
  command: bundle exec sidekiq -C config/sidekiq.yml
  links:
   - redis
  volumes:
   - .:/sxrestaurant
  environment:
   - REDIS_URL=redis://172.17.0.1:6380/0
 redis:
  image: redis
  ports:
   - '6380:6379'
  volumes:
   - ../data/redis:/data
